PHP 手冊
前一頁 |  | 下一頁

# ftp_ssl_connect

(PHP 4 >= 4.3.0, PHP 5)

ftp_ssl_connect -- Opens an Secure SSL-FTP connection

## Description

resource ftp_ssl_connect ( string host [, int port [, int timeout]] )

ftp_ssl_connect() opens a SSL-FTP connection to the specified host.

> Why this function may not exist: ftp_ssl_connect() is only available if OpenSSL support is enabled into your version of PHP. If it's undefined and you've compiled FTP support then this is why. For Windows you must compile your own PHP binaries to support this function.

## Parameters

host

  The FTP server address. This parameter shouldn't have any trailing slashes and shouldn't be prefixed with ftp://.

port

  This parameter specifies an alternate port to connect to. If it is omitted or set to zero, then the default FTP port, 21, will be used.

timeout

  This parameter specifies the timeout for all subsequent network operations. If omitted, the default value is 90 seconds. The timeout can be changed and queried at any time with ftp_set_option() and ftp_get_option().

## Return Values

Returns a SSL-FTP stream on success or `FALSE` on error.

## 範例

範例 1. ftp_ssl_connect() example

`<?php // set up basic ssl connection $conn_id = ftp_ssl_connect($ftp_server); // login with username and password $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass); echo ftp_pwd($conn_id); // / // close the ssl connection ftp_close($conn_id); ?>`

## 參考

ftp_connect()

前一頁 | 內容 | 下一頁
ftp_size | 上一層 | ftp_systype